IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
10.76.0.0- Broadcast address
10.79.255.255- First usable
10.76.0.1- Last usable
10.79.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0A4C0000· Integer172752896to173015039 - Reverse DNS zones
76.10.in-addr.arpa77.10.in-addr.arpa78.10.in-addr.arpa79.10.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.01001100.00000000.00000000 | 10.76.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00001010.01001100.00000000.00000000 | 10.76.0.0 |
| Broadcast | 00001010.01001111.11111111.11111111 | 10.79.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
10.76.0.0/14 makes 256 subnets of /22.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.76.0.0/22 | 10.76.0.1 to 10.76.3.254 | 10.76.3.255 | 1,022 |
| 2 | 10.76.4.0/22 | 10.76.4.1 to 10.76.7.254 | 10.76.7.255 | 1,022 |
| 3 | 10.76.8.0/22 | 10.76.8.1 to 10.76.11.254 | 10.76.11.255 | 1,022 |
| 4 | 10.76.12.0/22 | 10.76.12.1 to 10.76.15.254 | 10.76.15.255 | 1,022 |
| 5 | 10.76.16.0/22 | 10.76.16.1 to 10.76.19.254 | 10.76.19.255 | 1,022 |
| 6 | 10.76.20.0/22 | 10.76.20.1 to 10.76.23.254 | 10.76.23.255 | 1,022 |
| 7 | 10.76.24.0/22 | 10.76.24.1 to 10.76.27.254 | 10.76.27.255 | 1,022 |
| 8 | 10.76.28.0/22 | 10.76.28.1 to 10.76.31.254 | 10.76.31.255 | 1,022 |
| 9 | 10.76.32.0/22 | 10.76.32.1 to 10.76.35.254 | 10.76.35.255 | 1,022 |
| 10 | 10.76.36.0/22 | 10.76.36.1 to 10.76.39.254 | 10.76.39.255 | 1,022 |
| 11 | 10.76.40.0/22 | 10.76.40.1 to 10.76.43.254 | 10.76.43.255 | 1,022 |
| 12 | 10.76.44.0/22 | 10.76.44.1 to 10.76.47.254 | 10.76.47.255 | 1,022 |
| 13 | 10.76.48.0/22 | 10.76.48.1 to 10.76.51.254 | 10.76.51.255 | 1,022 |
| 14 | 10.76.52.0/22 | 10.76.52.1 to 10.76.55.254 | 10.76.55.255 | 1,022 |
| 15 | 10.76.56.0/22 | 10.76.56.1 to 10.76.59.254 | 10.76.59.255 | 1,022 |
| 16 | 10.76.60.0/22 | 10.76.60.1 to 10.76.63.254 | 10.76.63.255 | 1,022 |
| 17 | 10.76.64.0/22 | 10.76.64.1 to 10.76.67.254 | 10.76.67.255 | 1,022 |
| 18 | 10.76.68.0/22 | 10.76.68.1 to 10.76.71.254 | 10.76.71.255 | 1,022 |
| 19 | 10.76.72.0/22 | 10.76.72.1 to 10.76.75.254 | 10.76.75.255 | 1,022 |
| 20 | 10.76.76.0/22 | 10.76.76.1 to 10.76.79.254 | 10.76.79.255 | 1,022 |
| 21 | 10.76.80.0/22 | 10.76.80.1 to 10.76.83.254 | 10.76.83.255 | 1,022 |
| 22 | 10.76.84.0/22 | 10.76.84.1 to 10.76.87.254 | 10.76.87.255 | 1,022 |
| 23 | 10.76.88.0/22 | 10.76.88.1 to 10.76.91.254 | 10.76.91.255 | 1,022 |
| 24 | 10.76.92.0/22 | 10.76.92.1 to 10.76.95.254 | 10.76.95.255 | 1,022 |
| 25 | 10.76.96.0/22 | 10.76.96.1 to 10.76.99.254 | 10.76.99.255 | 1,022 |
| 26 | 10.76.100.0/22 | 10.76.100.1 to 10.76.103.254 | 10.76.103.255 | 1,022 |
| 27 | 10.76.104.0/22 | 10.76.104.1 to 10.76.107.254 | 10.76.107.255 | 1,022 |
| 28 | 10.76.108.0/22 | 10.76.108.1 to 10.76.111.254 | 10.76.111.255 | 1,022 |
| 29 | 10.76.112.0/22 | 10.76.112.1 to 10.76.115.254 | 10.76.115.255 | 1,022 |
| 30 | 10.76.116.0/22 | 10.76.116.1 to 10.76.119.254 | 10.76.119.255 | 1,022 |
| 31 | 10.76.120.0/22 | 10.76.120.1 to 10.76.123.254 | 10.76.123.255 | 1,022 |
| 32 | 10.76.124.0/22 | 10.76.124.1 to 10.76.127.254 | 10.76.127.255 | 1,022 |
| 33 | 10.76.128.0/22 | 10.76.128.1 to 10.76.131.254 | 10.76.131.255 | 1,022 |
| 34 | 10.76.132.0/22 | 10.76.132.1 to 10.76.135.254 | 10.76.135.255 | 1,022 |
| 35 | 10.76.136.0/22 | 10.76.136.1 to 10.76.139.254 | 10.76.139.255 | 1,022 |
| 36 | 10.76.140.0/22 | 10.76.140.1 to 10.76.143.254 | 10.76.143.255 | 1,022 |
| 37 | 10.76.144.0/22 | 10.76.144.1 to 10.76.147.254 | 10.76.147.255 | 1,022 |
| 38 | 10.76.148.0/22 | 10.76.148.1 to 10.76.151.254 | 10.76.151.255 | 1,022 |
| 39 | 10.76.152.0/22 | 10.76.152.1 to 10.76.155.254 | 10.76.155.255 | 1,022 |
| 40 | 10.76.156.0/22 | 10.76.156.1 to 10.76.159.254 | 10.76.159.255 | 1,022 |
| 41 | 10.76.160.0/22 | 10.76.160.1 to 10.76.163.254 | 10.76.163.255 | 1,022 |
| 42 | 10.76.164.0/22 | 10.76.164.1 to 10.76.167.254 | 10.76.167.255 | 1,022 |
| 43 | 10.76.168.0/22 | 10.76.168.1 to 10.76.171.254 | 10.76.171.255 | 1,022 |
| 44 | 10.76.172.0/22 | 10.76.172.1 to 10.76.175.254 | 10.76.175.255 | 1,022 |
| 45 | 10.76.176.0/22 | 10.76.176.1 to 10.76.179.254 | 10.76.179.255 | 1,022 |
| 46 | 10.76.180.0/22 | 10.76.180.1 to 10.76.183.254 | 10.76.183.255 | 1,022 |
| 47 | 10.76.184.0/22 | 10.76.184.1 to 10.76.187.254 | 10.76.187.255 | 1,022 |
| 48 | 10.76.188.0/22 | 10.76.188.1 to 10.76.191.254 | 10.76.191.255 | 1,022 |
| 49 | 10.76.192.0/22 | 10.76.192.1 to 10.76.195.254 | 10.76.195.255 | 1,022 |
| 50 | 10.76.196.0/22 | 10.76.196.1 to 10.76.199.254 | 10.76.199.255 | 1,022 |
| 51 | 10.76.200.0/22 | 10.76.200.1 to 10.76.203.254 | 10.76.203.255 | 1,022 |
| 52 | 10.76.204.0/22 | 10.76.204.1 to 10.76.207.254 | 10.76.207.255 | 1,022 |
| 53 | 10.76.208.0/22 | 10.76.208.1 to 10.76.211.254 | 10.76.211.255 | 1,022 |
| 54 | 10.76.212.0/22 | 10.76.212.1 to 10.76.215.254 | 10.76.215.255 | 1,022 |
| 55 | 10.76.216.0/22 | 10.76.216.1 to 10.76.219.254 | 10.76.219.255 | 1,022 |
| 56 | 10.76.220.0/22 | 10.76.220.1 to 10.76.223.254 | 10.76.223.255 | 1,022 |
| 57 | 10.76.224.0/22 | 10.76.224.1 to 10.76.227.254 | 10.76.227.255 | 1,022 |
| 58 | 10.76.228.0/22 | 10.76.228.1 to 10.76.231.254 | 10.76.231.255 | 1,022 |
| 59 | 10.76.232.0/22 | 10.76.232.1 to 10.76.235.254 | 10.76.235.255 | 1,022 |
| 60 | 10.76.236.0/22 | 10.76.236.1 to 10.76.239.254 | 10.76.239.255 | 1,022 |
| 61 | 10.76.240.0/22 | 10.76.240.1 to 10.76.243.254 | 10.76.243.255 | 1,022 |
| 62 | 10.76.244.0/22 | 10.76.244.1 to 10.76.247.254 | 10.76.247.255 | 1,022 |
| 63 | 10.76.248.0/22 | 10.76.248.1 to 10.76.251.254 | 10.76.251.255 | 1,022 |
| 64 | 10.76.252.0/22 | 10.76.252.1 to 10.76.255.254 | 10.76.255.255 | 1,022 |
| 65 | 10.77.0.0/22 | 10.77.0.1 to 10.77.3.254 | 10.77.3.255 | 1,022 |
| 66 | 10.77.4.0/22 | 10.77.4.1 to 10.77.7.254 | 10.77.7.255 | 1,022 |
| 67 | 10.77.8.0/22 | 10.77.8.1 to 10.77.11.254 | 10.77.11.255 | 1,022 |
| 68 | 10.77.12.0/22 | 10.77.12.1 to 10.77.15.254 | 10.77.15.255 | 1,022 |
| 69 | 10.77.16.0/22 | 10.77.16.1 to 10.77.19.254 | 10.77.19.255 | 1,022 |
| 70 | 10.77.20.0/22 | 10.77.20.1 to 10.77.23.254 | 10.77.23.255 | 1,022 |
| 71 | 10.77.24.0/22 | 10.77.24.1 to 10.77.27.254 | 10.77.27.255 | 1,022 |
| 72 | 10.77.28.0/22 | 10.77.28.1 to 10.77.31.254 | 10.77.31.255 | 1,022 |
| 73 | 10.77.32.0/22 | 10.77.32.1 to 10.77.35.254 | 10.77.35.255 | 1,022 |
| 74 | 10.77.36.0/22 | 10.77.36.1 to 10.77.39.254 | 10.77.39.255 | 1,022 |
| 75 | 10.77.40.0/22 | 10.77.40.1 to 10.77.43.254 | 10.77.43.255 | 1,022 |
| 76 | 10.77.44.0/22 | 10.77.44.1 to 10.77.47.254 | 10.77.47.255 | 1,022 |
| 77 | 10.77.48.0/22 | 10.77.48.1 to 10.77.51.254 | 10.77.51.255 | 1,022 |
| 78 | 10.77.52.0/22 | 10.77.52.1 to 10.77.55.254 | 10.77.55.255 | 1,022 |
| 79 | 10.77.56.0/22 | 10.77.56.1 to 10.77.59.254 | 10.77.59.255 | 1,022 |
| 80 | 10.77.60.0/22 | 10.77.60.1 to 10.77.63.254 | 10.77.63.255 | 1,022 |
| 81 | 10.77.64.0/22 | 10.77.64.1 to 10.77.67.254 | 10.77.67.255 | 1,022 |
| 82 | 10.77.68.0/22 | 10.77.68.1 to 10.77.71.254 | 10.77.71.255 | 1,022 |
| 83 | 10.77.72.0/22 | 10.77.72.1 to 10.77.75.254 | 10.77.75.255 | 1,022 |
| 84 | 10.77.76.0/22 | 10.77.76.1 to 10.77.79.254 | 10.77.79.255 | 1,022 |
| 85 | 10.77.80.0/22 | 10.77.80.1 to 10.77.83.254 | 10.77.83.255 | 1,022 |
| 86 | 10.77.84.0/22 | 10.77.84.1 to 10.77.87.254 | 10.77.87.255 | 1,022 |
| 87 | 10.77.88.0/22 | 10.77.88.1 to 10.77.91.254 | 10.77.91.255 | 1,022 |
| 88 | 10.77.92.0/22 | 10.77.92.1 to 10.77.95.254 | 10.77.95.255 | 1,022 |
| 89 | 10.77.96.0/22 | 10.77.96.1 to 10.77.99.254 | 10.77.99.255 | 1,022 |
| 90 | 10.77.100.0/22 | 10.77.100.1 to 10.77.103.254 | 10.77.103.255 | 1,022 |
| 91 | 10.77.104.0/22 | 10.77.104.1 to 10.77.107.254 | 10.77.107.255 | 1,022 |
| 92 | 10.77.108.0/22 | 10.77.108.1 to 10.77.111.254 | 10.77.111.255 | 1,022 |
| 93 | 10.77.112.0/22 | 10.77.112.1 to 10.77.115.254 | 10.77.115.255 | 1,022 |
| 94 | 10.77.116.0/22 | 10.77.116.1 to 10.77.119.254 | 10.77.119.255 | 1,022 |
| 95 | 10.77.120.0/22 | 10.77.120.1 to 10.77.123.254 | 10.77.123.255 | 1,022 |
| 96 | 10.77.124.0/22 | 10.77.124.1 to 10.77.127.254 | 10.77.127.255 | 1,022 |
| 97 | 10.77.128.0/22 | 10.77.128.1 to 10.77.131.254 | 10.77.131.255 | 1,022 |
| 98 | 10.77.132.0/22 | 10.77.132.1 to 10.77.135.254 | 10.77.135.255 | 1,022 |
| 99 | 10.77.136.0/22 | 10.77.136.1 to 10.77.139.254 | 10.77.139.255 | 1,022 |
| 100 | 10.77.140.0/22 | 10.77.140.1 to 10.77.143.254 | 10.77.143.255 | 1,022 |
| 101 | 10.77.144.0/22 | 10.77.144.1 to 10.77.147.254 | 10.77.147.255 | 1,022 |
| 102 | 10.77.148.0/22 | 10.77.148.1 to 10.77.151.254 | 10.77.151.255 | 1,022 |
| 103 | 10.77.152.0/22 | 10.77.152.1 to 10.77.155.254 | 10.77.155.255 | 1,022 |
| 104 | 10.77.156.0/22 | 10.77.156.1 to 10.77.159.254 | 10.77.159.255 | 1,022 |
| 105 | 10.77.160.0/22 | 10.77.160.1 to 10.77.163.254 | 10.77.163.255 | 1,022 |
| 106 | 10.77.164.0/22 | 10.77.164.1 to 10.77.167.254 | 10.77.167.255 | 1,022 |
| 107 | 10.77.168.0/22 | 10.77.168.1 to 10.77.171.254 | 10.77.171.255 | 1,022 |
| 108 | 10.77.172.0/22 | 10.77.172.1 to 10.77.175.254 | 10.77.175.255 | 1,022 |
| 109 | 10.77.176.0/22 | 10.77.176.1 to 10.77.179.254 | 10.77.179.255 | 1,022 |
| 110 | 10.77.180.0/22 | 10.77.180.1 to 10.77.183.254 | 10.77.183.255 | 1,022 |
| 111 | 10.77.184.0/22 | 10.77.184.1 to 10.77.187.254 | 10.77.187.255 | 1,022 |
| 112 | 10.77.188.0/22 | 10.77.188.1 to 10.77.191.254 | 10.77.191.255 | 1,022 |
| 113 | 10.77.192.0/22 | 10.77.192.1 to 10.77.195.254 | 10.77.195.255 | 1,022 |
| 114 | 10.77.196.0/22 | 10.77.196.1 to 10.77.199.254 | 10.77.199.255 | 1,022 |
| 115 | 10.77.200.0/22 | 10.77.200.1 to 10.77.203.254 | 10.77.203.255 | 1,022 |
| 116 | 10.77.204.0/22 | 10.77.204.1 to 10.77.207.254 | 10.77.207.255 | 1,022 |
| 117 | 10.77.208.0/22 | 10.77.208.1 to 10.77.211.254 | 10.77.211.255 | 1,022 |
| 118 | 10.77.212.0/22 | 10.77.212.1 to 10.77.215.254 | 10.77.215.255 | 1,022 |
| 119 | 10.77.216.0/22 | 10.77.216.1 to 10.77.219.254 | 10.77.219.255 | 1,022 |
| 120 | 10.77.220.0/22 | 10.77.220.1 to 10.77.223.254 | 10.77.223.255 | 1,022 |
| 121 | 10.77.224.0/22 | 10.77.224.1 to 10.77.227.254 | 10.77.227.255 | 1,022 |
| 122 | 10.77.228.0/22 | 10.77.228.1 to 10.77.231.254 | 10.77.231.255 | 1,022 |
| 123 | 10.77.232.0/22 | 10.77.232.1 to 10.77.235.254 | 10.77.235.255 | 1,022 |
| 124 | 10.77.236.0/22 | 10.77.236.1 to 10.77.239.254 | 10.77.239.255 | 1,022 |
| 125 | 10.77.240.0/22 | 10.77.240.1 to 10.77.243.254 | 10.77.243.255 | 1,022 |
| 126 | 10.77.244.0/22 | 10.77.244.1 to 10.77.247.254 | 10.77.247.255 | 1,022 |
| 127 | 10.77.248.0/22 | 10.77.248.1 to 10.77.251.254 | 10.77.251.255 | 1,022 |
| 128 | 10.77.252.0/22 | 10.77.252.1 to 10.77.255.254 | 10.77.255.255 | 1,022 |
| 129 | 10.78.0.0/22 | 10.78.0.1 to 10.78.3.254 | 10.78.3.255 | 1,022 |
| 130 | 10.78.4.0/22 | 10.78.4.1 to 10.78.7.254 | 10.78.7.255 | 1,022 |
| 131 | 10.78.8.0/22 | 10.78.8.1 to 10.78.11.254 | 10.78.11.255 | 1,022 |
| 132 | 10.78.12.0/22 | 10.78.12.1 to 10.78.15.254 | 10.78.15.255 | 1,022 |
| 133 | 10.78.16.0/22 | 10.78.16.1 to 10.78.19.254 | 10.78.19.255 | 1,022 |
| 134 | 10.78.20.0/22 | 10.78.20.1 to 10.78.23.254 | 10.78.23.255 | 1,022 |
| 135 | 10.78.24.0/22 | 10.78.24.1 to 10.78.27.254 | 10.78.27.255 | 1,022 |
| 136 | 10.78.28.0/22 | 10.78.28.1 to 10.78.31.254 | 10.78.31.255 | 1,022 |
| 137 | 10.78.32.0/22 | 10.78.32.1 to 10.78.35.254 | 10.78.35.255 | 1,022 |
| 138 | 10.78.36.0/22 | 10.78.36.1 to 10.78.39.254 | 10.78.39.255 | 1,022 |
| 139 | 10.78.40.0/22 | 10.78.40.1 to 10.78.43.254 | 10.78.43.255 | 1,022 |
| 140 | 10.78.44.0/22 | 10.78.44.1 to 10.78.47.254 | 10.78.47.255 | 1,022 |
| 141 | 10.78.48.0/22 | 10.78.48.1 to 10.78.51.254 | 10.78.51.255 | 1,022 |
| 142 | 10.78.52.0/22 | 10.78.52.1 to 10.78.55.254 | 10.78.55.255 | 1,022 |
| 143 | 10.78.56.0/22 | 10.78.56.1 to 10.78.59.254 | 10.78.59.255 | 1,022 |
| 144 | 10.78.60.0/22 | 10.78.60.1 to 10.78.63.254 | 10.78.63.255 | 1,022 |
| 145 | 10.78.64.0/22 | 10.78.64.1 to 10.78.67.254 | 10.78.67.255 | 1,022 |
| 146 | 10.78.68.0/22 | 10.78.68.1 to 10.78.71.254 | 10.78.71.255 | 1,022 |
| 147 | 10.78.72.0/22 | 10.78.72.1 to 10.78.75.254 | 10.78.75.255 | 1,022 |
| 148 | 10.78.76.0/22 | 10.78.76.1 to 10.78.79.254 | 10.78.79.255 | 1,022 |
| 149 | 10.78.80.0/22 | 10.78.80.1 to 10.78.83.254 | 10.78.83.255 | 1,022 |
| 150 | 10.78.84.0/22 | 10.78.84.1 to 10.78.87.254 | 10.78.87.255 | 1,022 |
| 151 | 10.78.88.0/22 | 10.78.88.1 to 10.78.91.254 | 10.78.91.255 | 1,022 |
| 152 | 10.78.92.0/22 | 10.78.92.1 to 10.78.95.254 | 10.78.95.255 | 1,022 |
| 153 | 10.78.96.0/22 | 10.78.96.1 to 10.78.99.254 | 10.78.99.255 | 1,022 |
| 154 | 10.78.100.0/22 | 10.78.100.1 to 10.78.103.254 | 10.78.103.255 | 1,022 |
| 155 | 10.78.104.0/22 | 10.78.104.1 to 10.78.107.254 | 10.78.107.255 | 1,022 |
| 156 | 10.78.108.0/22 | 10.78.108.1 to 10.78.111.254 | 10.78.111.255 | 1,022 |
| 157 | 10.78.112.0/22 | 10.78.112.1 to 10.78.115.254 | 10.78.115.255 | 1,022 |
| 158 | 10.78.116.0/22 | 10.78.116.1 to 10.78.119.254 | 10.78.119.255 | 1,022 |
| 159 | 10.78.120.0/22 | 10.78.120.1 to 10.78.123.254 | 10.78.123.255 | 1,022 |
| 160 | 10.78.124.0/22 | 10.78.124.1 to 10.78.127.254 | 10.78.127.255 | 1,022 |
| 161 | 10.78.128.0/22 | 10.78.128.1 to 10.78.131.254 | 10.78.131.255 | 1,022 |
| 162 | 10.78.132.0/22 | 10.78.132.1 to 10.78.135.254 | 10.78.135.255 | 1,022 |
| 163 | 10.78.136.0/22 | 10.78.136.1 to 10.78.139.254 | 10.78.139.255 | 1,022 |
| 164 | 10.78.140.0/22 | 10.78.140.1 to 10.78.143.254 | 10.78.143.255 | 1,022 |
| 165 | 10.78.144.0/22 | 10.78.144.1 to 10.78.147.254 | 10.78.147.255 | 1,022 |
| 166 | 10.78.148.0/22 | 10.78.148.1 to 10.78.151.254 | 10.78.151.255 | 1,022 |
| 167 | 10.78.152.0/22 | 10.78.152.1 to 10.78.155.254 | 10.78.155.255 | 1,022 |
| 168 | 10.78.156.0/22 | 10.78.156.1 to 10.78.159.254 | 10.78.159.255 | 1,022 |
| 169 | 10.78.160.0/22 | 10.78.160.1 to 10.78.163.254 | 10.78.163.255 | 1,022 |
| 170 | 10.78.164.0/22 | 10.78.164.1 to 10.78.167.254 | 10.78.167.255 | 1,022 |
| 171 | 10.78.168.0/22 | 10.78.168.1 to 10.78.171.254 | 10.78.171.255 | 1,022 |
| 172 | 10.78.172.0/22 | 10.78.172.1 to 10.78.175.254 | 10.78.175.255 | 1,022 |
| 173 | 10.78.176.0/22 | 10.78.176.1 to 10.78.179.254 | 10.78.179.255 | 1,022 |
| 174 | 10.78.180.0/22 | 10.78.180.1 to 10.78.183.254 | 10.78.183.255 | 1,022 |
| 175 | 10.78.184.0/22 | 10.78.184.1 to 10.78.187.254 | 10.78.187.255 | 1,022 |
| 176 | 10.78.188.0/22 | 10.78.188.1 to 10.78.191.254 | 10.78.191.255 | 1,022 |
| 177 | 10.78.192.0/22 | 10.78.192.1 to 10.78.195.254 | 10.78.195.255 | 1,022 |
| 178 | 10.78.196.0/22 | 10.78.196.1 to 10.78.199.254 | 10.78.199.255 | 1,022 |
| 179 | 10.78.200.0/22 | 10.78.200.1 to 10.78.203.254 | 10.78.203.255 | 1,022 |
| 180 | 10.78.204.0/22 | 10.78.204.1 to 10.78.207.254 | 10.78.207.255 | 1,022 |
| 181 | 10.78.208.0/22 | 10.78.208.1 to 10.78.211.254 | 10.78.211.255 | 1,022 |
| 182 | 10.78.212.0/22 | 10.78.212.1 to 10.78.215.254 | 10.78.215.255 | 1,022 |
| 183 | 10.78.216.0/22 | 10.78.216.1 to 10.78.219.254 | 10.78.219.255 | 1,022 |
| 184 | 10.78.220.0/22 | 10.78.220.1 to 10.78.223.254 | 10.78.223.255 | 1,022 |
| 185 | 10.78.224.0/22 | 10.78.224.1 to 10.78.227.254 | 10.78.227.255 | 1,022 |
| 186 | 10.78.228.0/22 | 10.78.228.1 to 10.78.231.254 | 10.78.231.255 | 1,022 |
| 187 | 10.78.232.0/22 | 10.78.232.1 to 10.78.235.254 | 10.78.235.255 | 1,022 |
| 188 | 10.78.236.0/22 | 10.78.236.1 to 10.78.239.254 | 10.78.239.255 | 1,022 |
| 189 | 10.78.240.0/22 | 10.78.240.1 to 10.78.243.254 | 10.78.243.255 | 1,022 |
| 190 | 10.78.244.0/22 | 10.78.244.1 to 10.78.247.254 | 10.78.247.255 | 1,022 |
| 191 | 10.78.248.0/22 | 10.78.248.1 to 10.78.251.254 | 10.78.251.255 | 1,022 |
| 192 | 10.78.252.0/22 | 10.78.252.1 to 10.78.255.254 | 10.78.255.255 | 1,022 |
| 193 | 10.79.0.0/22 | 10.79.0.1 to 10.79.3.254 | 10.79.3.255 | 1,022 |
| 194 | 10.79.4.0/22 | 10.79.4.1 to 10.79.7.254 | 10.79.7.255 | 1,022 |
| 195 | 10.79.8.0/22 | 10.79.8.1 to 10.79.11.254 | 10.79.11.255 | 1,022 |
| 196 | 10.79.12.0/22 | 10.79.12.1 to 10.79.15.254 | 10.79.15.255 | 1,022 |
| 197 | 10.79.16.0/22 | 10.79.16.1 to 10.79.19.254 | 10.79.19.255 | 1,022 |
| 198 | 10.79.20.0/22 | 10.79.20.1 to 10.79.23.254 | 10.79.23.255 | 1,022 |
| 199 | 10.79.24.0/22 | 10.79.24.1 to 10.79.27.254 | 10.79.27.255 | 1,022 |
| 200 | 10.79.28.0/22 | 10.79.28.1 to 10.79.31.254 | 10.79.31.255 | 1,022 |
| 201 | 10.79.32.0/22 | 10.79.32.1 to 10.79.35.254 | 10.79.35.255 | 1,022 |
| 202 | 10.79.36.0/22 | 10.79.36.1 to 10.79.39.254 | 10.79.39.255 | 1,022 |
| 203 | 10.79.40.0/22 | 10.79.40.1 to 10.79.43.254 | 10.79.43.255 | 1,022 |
| 204 | 10.79.44.0/22 | 10.79.44.1 to 10.79.47.254 | 10.79.47.255 | 1,022 |
| 205 | 10.79.48.0/22 | 10.79.48.1 to 10.79.51.254 | 10.79.51.255 | 1,022 |
| 206 | 10.79.52.0/22 | 10.79.52.1 to 10.79.55.254 | 10.79.55.255 | 1,022 |
| 207 | 10.79.56.0/22 | 10.79.56.1 to 10.79.59.254 | 10.79.59.255 | 1,022 |
| 208 | 10.79.60.0/22 | 10.79.60.1 to 10.79.63.254 | 10.79.63.255 | 1,022 |
| 209 | 10.79.64.0/22 | 10.79.64.1 to 10.79.67.254 | 10.79.67.255 | 1,022 |
| 210 | 10.79.68.0/22 | 10.79.68.1 to 10.79.71.254 | 10.79.71.255 | 1,022 |
| 211 | 10.79.72.0/22 | 10.79.72.1 to 10.79.75.254 | 10.79.75.255 | 1,022 |
| 212 | 10.79.76.0/22 | 10.79.76.1 to 10.79.79.254 | 10.79.79.255 | 1,022 |
| 213 | 10.79.80.0/22 | 10.79.80.1 to 10.79.83.254 | 10.79.83.255 | 1,022 |
| 214 | 10.79.84.0/22 | 10.79.84.1 to 10.79.87.254 | 10.79.87.255 | 1,022 |
| 215 | 10.79.88.0/22 | 10.79.88.1 to 10.79.91.254 | 10.79.91.255 | 1,022 |
| 216 | 10.79.92.0/22 | 10.79.92.1 to 10.79.95.254 | 10.79.95.255 | 1,022 |
| 217 | 10.79.96.0/22 | 10.79.96.1 to 10.79.99.254 | 10.79.99.255 | 1,022 |
| 218 | 10.79.100.0/22 | 10.79.100.1 to 10.79.103.254 | 10.79.103.255 | 1,022 |
| 219 | 10.79.104.0/22 | 10.79.104.1 to 10.79.107.254 | 10.79.107.255 | 1,022 |
| 220 | 10.79.108.0/22 | 10.79.108.1 to 10.79.111.254 | 10.79.111.255 | 1,022 |
| 221 | 10.79.112.0/22 | 10.79.112.1 to 10.79.115.254 | 10.79.115.255 | 1,022 |
| 222 | 10.79.116.0/22 | 10.79.116.1 to 10.79.119.254 | 10.79.119.255 | 1,022 |
| 223 | 10.79.120.0/22 | 10.79.120.1 to 10.79.123.254 | 10.79.123.255 | 1,022 |
| 224 | 10.79.124.0/22 | 10.79.124.1 to 10.79.127.254 | 10.79.127.255 | 1,022 |
| 225 | 10.79.128.0/22 | 10.79.128.1 to 10.79.131.254 | 10.79.131.255 | 1,022 |
| 226 | 10.79.132.0/22 | 10.79.132.1 to 10.79.135.254 | 10.79.135.255 | 1,022 |
| 227 | 10.79.136.0/22 | 10.79.136.1 to 10.79.139.254 | 10.79.139.255 | 1,022 |
| 228 | 10.79.140.0/22 | 10.79.140.1 to 10.79.143.254 | 10.79.143.255 | 1,022 |
| 229 | 10.79.144.0/22 | 10.79.144.1 to 10.79.147.254 | 10.79.147.255 | 1,022 |
| 230 | 10.79.148.0/22 | 10.79.148.1 to 10.79.151.254 | 10.79.151.255 | 1,022 |
| 231 | 10.79.152.0/22 | 10.79.152.1 to 10.79.155.254 | 10.79.155.255 | 1,022 |
| 232 | 10.79.156.0/22 | 10.79.156.1 to 10.79.159.254 | 10.79.159.255 | 1,022 |
| 233 | 10.79.160.0/22 | 10.79.160.1 to 10.79.163.254 | 10.79.163.255 | 1,022 |
| 234 | 10.79.164.0/22 | 10.79.164.1 to 10.79.167.254 | 10.79.167.255 | 1,022 |
| 235 | 10.79.168.0/22 | 10.79.168.1 to 10.79.171.254 | 10.79.171.255 | 1,022 |
| 236 | 10.79.172.0/22 | 10.79.172.1 to 10.79.175.254 | 10.79.175.255 | 1,022 |
| 237 | 10.79.176.0/22 | 10.79.176.1 to 10.79.179.254 | 10.79.179.255 | 1,022 |
| 238 | 10.79.180.0/22 | 10.79.180.1 to 10.79.183.254 | 10.79.183.255 | 1,022 |
| 239 | 10.79.184.0/22 | 10.79.184.1 to 10.79.187.254 | 10.79.187.255 | 1,022 |
| 240 | 10.79.188.0/22 | 10.79.188.1 to 10.79.191.254 | 10.79.191.255 | 1,022 |
| 241 | 10.79.192.0/22 | 10.79.192.1 to 10.79.195.254 | 10.79.195.255 | 1,022 |
| 242 | 10.79.196.0/22 | 10.79.196.1 to 10.79.199.254 | 10.79.199.255 | 1,022 |
| 243 | 10.79.200.0/22 | 10.79.200.1 to 10.79.203.254 | 10.79.203.255 | 1,022 |
| 244 | 10.79.204.0/22 | 10.79.204.1 to 10.79.207.254 | 10.79.207.255 | 1,022 |
| 245 | 10.79.208.0/22 | 10.79.208.1 to 10.79.211.254 | 10.79.211.255 | 1,022 |
| 246 | 10.79.212.0/22 | 10.79.212.1 to 10.79.215.254 | 10.79.215.255 | 1,022 |
| 247 | 10.79.216.0/22 | 10.79.216.1 to 10.79.219.254 | 10.79.219.255 | 1,022 |
| 248 | 10.79.220.0/22 | 10.79.220.1 to 10.79.223.254 | 10.79.223.255 | 1,022 |
| 249 | 10.79.224.0/22 | 10.79.224.1 to 10.79.227.254 | 10.79.227.255 | 1,022 |
| 250 | 10.79.228.0/22 | 10.79.228.1 to 10.79.231.254 | 10.79.231.255 | 1,022 |
| 251 | 10.79.232.0/22 | 10.79.232.1 to 10.79.235.254 | 10.79.235.255 | 1,022 |
| 252 | 10.79.236.0/22 | 10.79.236.1 to 10.79.239.254 | 10.79.239.255 | 1,022 |
| 253 | 10.79.240.0/22 | 10.79.240.1 to 10.79.243.254 | 10.79.243.255 | 1,022 |
| 254 | 10.79.244.0/22 | 10.79.244.1 to 10.79.247.254 | 10.79.247.255 | 1,022 |
| 255 | 10.79.248.0/22 | 10.79.248.1 to 10.79.251.254 | 10.79.251.255 | 1,022 |
| 256 | 10.79.252.0/22 | 10.79.252.1 to 10.79.255.254 | 10.79.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |